> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Passcode Login



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json post /api/users/passcode
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/users/passcode:
    post:
      tags:
        - users
      summary: Passcode Login
      operationId: passcode_login_api_users_passcode_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasscodeLoginRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PasscodeAuthResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PasscodeLoginRequest:
      properties:
        email:
          type: string
          title: Email
        password:
          type: string
          title: Password
      type: object
      required:
        - email
        - password
      title: PasscodeLoginRequest
    PasscodeAuthResponse:
      properties:
        user:
          additionalProperties: true
          type: object
          title: User
        access_token:
          type: string
          title: Access Token
      type: object
      required:
        - user
        - access_token
      title: PasscodeAuthResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````